/**
 * @file recordsRoutes.js
 * @author Radim Buráň (xburan03@stud.fit.vutbr.cz)
 */

const express = require('express');
const router = express.Router();

const controller = require('../controllers/usersController');
const authMiddleware = require("../middlewares/authMiddleware");

router.get('/', [authMiddleware], controller.getByFilter);
router.patch('/', [authMiddleware], controller.patch);
router.get('/me', [authMiddleware], controller.getMe);

router.get('/:id', [authMiddleware], controller.getByID);
router.delete('/:id', [authMiddleware], controller.deleteByID);

module.exports = router;